=== Examples/Makefile ===
#
# Makefile to process all Descr.* files with dealer and write the output
# to Output.*.  make test executes the test, make clean cleans up.
# Depending on the CPU power that you have, these test may take up to
# 30 minutes to run.
#

SHELL=/bin/sh

OUTPUT = $(wildcard Output.*)

test: examples distribution 

distribution:
	../dealer -s 1 <Test.distribution | convert.pl >Output.distribution	
	diff Output.distribution Refer.distribution

examples:
	test_dealer.pl

refer:
	-for f in ${OUTPUT}; do \
		echo $$f; \
		f1=`echo $$f | sed s/Output/Refer/` ; \
		echo $$f1; \
		/bin/cp $$f $$f1; \
	done 


clean:
	-rm -f ${OUTPUT}
