## dealer 20161012

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # $Header: /home/henk/CVS/dealer/Makefile,v 1.15 1999/08/05 19:57:44 henk Exp $
 
 CC      = gcc
-CFLAGS = -Wall -pedantic -O2 -I. -DNDEBUG -c
+CFLAGS = -Wall -pedantic -I. -DNDEBUG -c
 FLEX    = flex
 YACC    = yacc
+# Note: this should be the Berkeley Yacc, sometimes called byacc
 
 PROGRAM  = dealer
 TARFILE  = ${PROGRAM}.tar
@@ -29,12 +30,13 @@
 	${MAKE} -C Random   clean
 
 tarclean: clean ${YOBJ}
-	rm -f dealer
+	rm -f ${PROGRAM}
 	rm -f ${TARFILE}  ${GZIPFILE}
 
 tarfile: tarclean
 	cd .. ; \
-	tar cvf ${TARFILE} ${PROGRAM} --exclude CVS --exclude ${TARFILE}; \
+        rm ${TARFILE} ${GZIPFILE} ; \
+	tar cvf ${TARFILE} ${PROGRAM} ; \
 	mv ${TARFILE} ${PROGRAM} 
 	gzip -f ${TARFILE}
