=== debian/changelog ===
dealer (20161012-4) unstable; urgency=medium

  * Repository moved to salsa.
  * Bump to dh 11.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Sep 2018 21:57:31 +0200

dealer (20161012-3) unstable; urgency=medium

  * Team upload.
  * Fix infinite loop on architectures where char is unsigned, thanks to
    Adrian Bunk for the initial hint! (Closes: #882528)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 24 Nov 2017 13:09:15 +0100

dealer (20161012-2) unstable; urgency=medium

  * Team upload.
  * Add missing flex Build-Depends.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 23 Nov 2017 12:51:35 +0100

dealer (20161012-1) unstable; urgency=medium

  * New upstream version.
    + Tarball rebuilt to remove all ._* files.
  * Convert rules to dh(1).
  * Simplify Makefile and use system getopt and srand.
  * Run simple test at build time and via autopkgtest.
  * Use dh-exec to install dealer.dpp.
  * Fix mycalloc definition. (Closes: #750982)
  * Sort shapes in Dealer::Dist.pm to get reproducible results.
  * Update upstream homepage.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Nov 2017 08:38:03 +0100
