=== debian/changelog ===
dealer (20190529+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update standards version to 4.2.1, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Christoph Berg ]
  * Define global variables only once from dealer.c. (Closes: #957126)
  * Convert /usr/share/perl5/Dealer/Dist.pm to UTF-8.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jul 2020 17:00:48 +0200

dealer (20190529+ds-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: Rewrite to DEP5 so Files-Excluded works.
  * Exclude ._* from tarball, and while we are at it, other files not used by
    the Debian package as well.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Sun, 28 Jul 2019 20:02:00 +0200
