=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//, repacksuffix=+ds" \
https://henku.home.xs4all.nl/assets/downloads/dealer_([0-9].*).tar.*
