## dealer 20211121+ds

=== Makefile ===
--- 
+++ 
@@ -10,24 +10,22 @@
 TARFILE  = ${PROGRAM}.tar
 GZIPFILE = ${PROGRAM}.tar.gz
 
-SRC  = dealer.c pbn.c  c4.c getopt.c pointcount.c
+SRC  = dealer.c pbn.c  c4.c getopt.c pointcount.c __random.c rand.c srand.c
 LSRC = scan.l
 YSRC = defs.y
 HDR  = dealer.h tree.h
 
-OBJ  = dealer.o defs.o pbn.o c4.o getopt.o pointcount.o
+OBJ  = dealer.o defs.o pbn.o c4.o getopt.o pointcount.o __random.o rand.o srand.o
 LOBJ = scan.c
 YOBJ = defs.c
 
 
 dealer: ${OBJ} ${LOBJ} ${YOBJ}
-	${MAKE} -C Random lib
-	$(CC) -o $@ ${OBJ} -L./Random -lgnurand
-
+	$(CC) -o $@ ${OBJ} 
+	
 clean:
 	rm -f ${OBJ} ${LOBJ} ${YOBJ} 
 	${MAKE} -C Examples clean
-	${MAKE} -C Random   clean
 
 tarclean: clean ${YOBJ}
 	rm -f ${PROGRAM}
