=== debian/changelog ===
dealer (20211121+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Aug 2022 13:52:11 +0200
