=== debian/tests/control ===
Depends:
 @,
Tests: dealer
Restrictions: allow-stderr
